Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » BPMN 2.0 Modeler » Problem install BPMN2 Modeler Core(I have problem install BPMN2 Modeler Core 1.5.1.Final-v20190425-2005-B1 into Red Hat CodeReady Studio)
Problem install BPMN2 Modeler Core [message #1830265] Wed, 22 July 2020 12:11 Go to next message
Eduard Nickelmann is currently offline Eduard NickelmannFriend
Messages: 2
Registered: July 2020
Junior Member
Cannot complete the install because one or more required items could not be found.
Software being installed: BPMN2 Modeler - Diagram Editor 1.5.1.Final-v20190425-2005-B1 (org.eclipse.bpmn2.modeler.feature.group 1.5.1.Final-v20190425-2005-B1)
Missing requirement: BPMN2 Modeler Core 1.5.1.Final-v20190425-2005-B1 (org.eclipse.bpmn2.modeler.core 1.5.1.Final-v20190425-2005-B1) requires 'osgi.bundle; org.eclipse.graphiti [0.14.0,0.17.0)' but it could not be found
Cannot satisfy dependency:
From: BPMN2 Modeler - Diagram Editor 1.5.1.Final-v20190425-2005-B1 (org.eclipse.bpmn2.modeler.feature.group 1.5.1.Final-v20190425-2005-B1)
To: org.eclipse.equinox.p2.iu; org.eclipse.bpmn2.modeler.core [1.5.1.Final-v20190425-2005-B1,1.5.1.Final-v20190425-2005-B1]

How to solve this.
Thanks in advance.
Re: Problem install BPMN2 Modeler Core [message #1830288 is a reply to message #1830265] Wed, 22 July 2020 17:15 Go to previous messageGo to next message
Ralph Soika is currently offline Ralph SoikaFriend
Messages: 160
Registered: July 2009
Senior Member
Hi,
which Eclipse version are you running?
For the latest Eclipse Release "Eclipse 2020-06" you can use the following update site:

http://download.eclipse.org/bpmn2-modeler/updates/2020-06/1.5.2

The latest version is 1.5.2. Let me know if this update site works for you.

See also here: https://www.eclipse.org/bpmn2-modeler/downloads.php

[Updated on: Wed, 22 July 2020 17:17]

Report message to a moderator

Re: Problem install BPMN2 Modeler Core [message #1830306 is a reply to message #1830288] Thu, 23 July 2020 06:55 Go to previous message
Eduard Nickelmann is currently offline Eduard NickelmannFriend
Messages: 2
Registered: July 2020
Junior Member
Thank you for reply.
I am running Red Hat CodeReady Studio Version: 12.16.0.v20200427-0848 with Eclipse Platform/RCP Version: 4.16.0.v20200604-0951
I have tried your link and it works.
BPEL item disappeared from Red Hat Central Software Update page and BPMN2 was added to new project list.
Previous Topic:Anyone ever couple (Import/Export) a BPMN(2.0) diagram to UML(Papyrus)
Goto Forum:
  


Current Time: Sat Oct 24 18:37:37 GMT 2020

Powered by FUDForum. Page generated in 0.01965 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top